1 Reply Latest reply on Jan 31, 2018 2:37 AM by Elmar Klammer

    Growing feature manager problem to be fixed.

    Jim Steinmeyer

      Time to celebrate! 

      happy dance.jpg

       

      Capture.PNG

       

      Oh, wait, that means I will have to wait at least a year

        • Re: Growing feature manager problem to be fixed.
          Elmar Klammer

          I think SW could be a little bit more (not most but more) pro-active when it comes to bugs & issues. I understand that Software comes with errors, but if a simple workaround could ease the pain, then why not suggest something for the mean time. It's easy to say we fix it (and refer to the SW no-accountability condition) and at the same time have no obligation to do it a) at the time stated b) do it at all c) don't do it but post a nothing-but-confusing implemented statement & d) here it comes.....offer no immediate partial solution (even though in many cases it exists).

          And just for reference, if I want entertainment, then I go see theater sports. Reading these SPR's and the perpetual invitation to contact the VAR to post the issue ain't funny. I mean it. It ain't funny.

           

          But for now...    

           

          Dim swApp As SldWorks.SldWorks
          Dim swModel As SldWorks.ModelDoc2

                    

          Sub main()
          '**********************************************************************************
          'Set FM width to 200 pxl
          '**********************************************************************************
              Set swApp = CreateObject("SldWorks.Application")
              Set Part = swApp.ActiveDoc            

              Dim nWidth  As Long            

              Dim NewWidth  As Long            

              Dim nRetVal As Long            

              Dim swFeatMgr  As SldWorks.FeatureManager
                          
              Set swApp =CreateObject("SldWorks.Application")   
              Set swModel = swApp.ActiveDoc
              Set swFeatMgr = swModel.FeatureManager           
              nWidth =  swModel.GetFeatureManagerWidth            

              nRetVal = swModel.SetFeatureManagerWidth(nWidth)            

              NewWidth = 200 ' Set Width             
              nRetVal = swModel.SetFeatureManagerWidth(NewWidth)

                 

          End Sub